# Generated by Django 4.2.11 on 2024-04-02 13:34

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("accounts", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="AlertRule",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=200)),
                ("unit", models.CharField(max_length=100)),
                ("default_enabled", models.BooleanField(default=True)),
                ("bounds_upper_default_enabled", models.BooleanField(default=False)),
                ("bounds_upper_default_value", models.FloatField(blank=True, null=True)),
                ("bounds_lower_default_enabled", models.BooleanField(default=False)),
                ("bounds_lower_default_value", models.FloatField(blank=True, null=True)),
                ("date_created", models.DateTimeField(auto_now_add=True)),
                ("date_modified", models.DateTimeField(auto_now=True)),
                (
                    "organization",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="alert_rules",
                        to="accounts.organization",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="AlertCollection",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=200)),
                ("date_created", models.DateTimeField(auto_now_add=True)),
                ("date_modified", models.DateTimeField(auto_now=True)),
                (
                    "organization",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="alert_collections",
                        to="accounts.organization",
                        verbose_name="Organization",
                    ),
                ),
                ("rules", models.ManyToManyField(related_name="collection", to="alerts.alertrule")),
            ],
        ),
    ]
